package cn.com.qmth.examcloud.core.oe.student.face.starter;

import cn.com.qmth.examcloud.core.oe.student.face.service.FaceLivenessService;
import cn.com.qmth.examcloud.web.bootstrap.AppBootstrap;
import cn.com.qmth.examcloud.web.support.SpringContextHolder;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.boot.autoconfigure.web.servlet.MultipartAutoConfiguration;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.jpa.repository.config.EnableJpaAuditing;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.multipart.MultipartResolver;
import org.springframework.web.multipart.commons.CommonsMultipartResolver;


@SpringBootApplication
@Configuration
@EnableAutoConfiguration(exclude = {MultipartAutoConfiguration.class})
@EnableJpaAuditing
@EnableTransactionManagement
@EnableEurekaClient
@EnableDiscoveryClient
@ComponentScan(basePackages = {"cn.com.qmth"})
@EntityScan(basePackages = {"cn.com.qmth"})
@EnableJpaRepositories(basePackages = {"cn.com.qmth"})
public class CoreOeStudentFaceApp {

	static {
		String runtimeLevel = System.getProperty("log.commonLevel");
		if (null == runtimeLevel) {
			System.setProperty("log.commonLevel", "DEBUG");
		}
		System.setProperty("hibernate.dialect.storage_engine", "innodb");
	}
	/**
	 * main
	 * 
	 * @param args
	 * @throws Exception
	 */
	public static void main(String[] args) throws Exception {
		AppBootstrap.run(CoreOeStudentFaceApp.class, args);
		test();

	}

	private static void test(){
//		for (int i=0;i<9999;i++){
//			FaceLivenessService bean = SpringContextHolder.getBean(FaceLivenessService.class);
//			String url="https://ecs-static.qmth.com.cn/capture_photo/371/238506/1566876134275.png";
//			System.out.println(bean.getBaiduFaceLivenessResultJson(url));
//
//			url="https://ecs-static.qmth.com.cn/capture_photo/371/238506/1566876142935.png";
//			System.out.println(bean.getBaiduFaceLivenessResultJson(url));
//
//			url="https://ecs-static.qmth.com.cn/capture_photo/371/238506/1566876143331.png";
//			System.out.println(bean.getBaiduFaceLivenessResultJson(url));
//
//		}
	}

	@Bean(name = "multipartResolver")
	public MultipartResolver multipartResolver() {
		CommonsMultipartResolver resolver = new CommonsMultipartResolver();
		resolver.setDefaultEncoding("UTF-8");
		resolver.setResolveLazily(true);
		resolver.setMaxInMemorySize(2);
		resolver.setMaxUploadSize(200 * 1024 * 1024);
		return resolver;
	}
}
